/**
 * Copyright 2005 The Apache Software Foundation
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package org.apache.nutch.parse.rss;

import java.util.Date;

/**
 * Container for rss item values
 * 
 * created on 20.02.2005
 * 
 * @author sg
 * @version $Revision: 1.1 $
 *  
 */
public class Item {
	private String fTitle;

	private String fDescription;
	
	private String fItemUrl;

	private Date fTimestamp;
	
	

	/**
	 * @param title
	 * @param description
	 */
	public Item(String title, String description, String itemUrl) {
		fTitle = title;
		fDescription = description;
		fItemUrl = itemUrl;
		fTimestamp = new Date(System.currentTimeMillis());
		
	}

	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return fDescription;
	}

	/**
	 * @return Returns the timestamp.
	 */
	public Date getTimestamp() {
		return fTimestamp;
	}

	/**
	 * @return Returns the title.
	 */
	public String getTitle() {
		return fTitle;
	}
	/**
	 * @return Returns the url.
	 */
	public String getUrl() {
		return fItemUrl;
	}
}