<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:atom="http://purl.org/atom/ns#" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:date="http://exslt.org/dates-and-times" extension-element-prefixes="date" xmlns:rss10="http://purl.org/rss/1.0/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rss09="http://my.netscape.com/rdf/simple/0.9/">
	<xsl:output method="xml" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="atom:feed/@version='0.3'">
				<xsl:call-template name="version03"/>
			</xsl:when>
			<xsl:when test="/rdf:RDF/rss09:item">
				<xsl:call-template name="version09"/>
			</xsl:when>
			<xsl:when test="rdf:RDF/rss10:channel">
				<xsl:call-template name="version10"/>
			</xsl:when>
			<xsl:when test="/rss/channel">
				<xsl:call-template name="version20"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>unknown RSS version</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- version 0.3 -->
	<xsl:template name="version03">		
		<rss version="2.0">
		<channel>	
		<xsl:for-each select="atom:feed/atom:entry">			
			<item>
			<title>			
			<xsl:value-of select="atom:title"/>
					</title>
			<description>
					<xsl:value-of select="atom:summary"/>
					</description>
			<link>
					<xsl:value-of select="atom:link/@href"/>
				</link>
			</item>
			</xsl:for-each>
			</channel>
		</rss>
		</xsl:template>
	<!-- version09-->
	<xsl:template name="version09">
		<rss version="2.0">
		<channel>
		<xsl:for-each select="/rdf:RDF/rss09:item">
			<item>
			<title>
			<xsl:value-of select="rss09:title"/>
			</title>
			<description>
			<xsl:value-of select="rss09:description"/>
			</description>
			<link>
			<xsl:value-of select="rss09:link"/>
			</link>
			</item>
		</xsl:for-each>
		</channel>
		</rss>
	</xsl:template>
	<!-- version10-->
	<xsl:template name="version10">
		<rss version="2.0">
		<channel>
		<xsl:for-each select="/rdf:RDF/rss10:item">
			<item>
			<title>
			<xsl:value-of select="rss10:title"/>
			</title>
			<description>
			<xsl:value-of select="rss10:description"/>
			</description>
			<link>
			<xsl:value-of select="rss10:link"/>
			</link>
			</item>
		</xsl:for-each>
		</channel>
		</rss>
	</xsl:template>
	<!-- version20-->
	<xsl:template name="version20">
		<rss version="2.0">
		<channel>
		<xsl:for-each select="/rss/channel/item">
			<item>
			<title>
			<xsl:value-of select="title"/>
			</title>
			<description>
			<xsl:value-of select="description"/>
			</description>
			<link>
			<xsl:value-of select="link"/>
			</link>
			</item>
		</xsl:for-each>
		</channel>
		</rss>
	</xsl:template>
</xsl:stylesheet>
